<?php

namespace App\View\Components\Client;

use App\Models\Client\Client;
use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class ClientCard extends Component {
    private Client $client;

    /**
     * Create a new component instance.
     */
    public function __construct(Client $client) {
        $this->client = $client;
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string {
        return view('components.client.client-card', ['client' => $this->client]);
    }
}
